org.apache.lucene.luke.app.desktop.components.fragments.analysis

## Interface CustomAnalyzerPanelOperator

- All Superinterfaces:
    ComponentOperatorRegistry.ComponentOperator
  All Known Implementing Classes:
    CustomAnalyzerPanelProvider

      public interface CustomAnalyzerPanelOperator
      extends ComponentOperatorRegistry.ComponentOperator

  Operator of the custom analyzer panel

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getCharFilterParams(int index)`
    `Map<String,String>` | `getTokenFilterParams(int index)`
    `void` | `resetAnalysisComponents()`
    `void` | `setAnalysisModel(Analysis analysisModel)`
    `void` | `updateCharFilterParams(int index, Map<String,String> updatedParams)`
    `void` | `updateCharFilters(List<Integer> deletedIndexes)`
    `void` | `updateTokenFilterParams(int index, Map<String,String> updatedParams)`
    `void` | `updateTokenFilters(List<Integer> deletedIndexes)`
    `void` | `updateTokenizerParams(Map<String,String> updatedParams)`

- - ### Method Detail

    - #### setAnalysisModel

          void setAnalysisModel(Analysis analysisModel)

    - #### resetAnalysisComponents

          void resetAnalysisComponents()

    - #### updateCharFilters

          void updateCharFilters(List<Integer> deletedIndexes)

    - #### updateTokenFilters

          void updateTokenFilters(List<Integer> deletedIndexes)

    - #### getCharFilterParams

          Map<String,String> getCharFilterParams(int index)

    - #### updateCharFilterParams

          void updateCharFilterParams(int index,
                                      Map<String,String> updatedParams)

    - #### updateTokenizerParams

          void updateTokenizerParams(Map<String,String> updatedParams)

    - #### getTokenFilterParams

          Map<String,String> getTokenFilterParams(int index)

    - #### updateTokenFilterParams

          void updateTokenFilterParams(int index,
                                       Map<String,String> updatedParams)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.